#!/bin/bash
# -*- mode: shell-script; coding: utf-8 -*-
#
# Copyright 2002-2018 Cendio AB.
# For more information, see http://www.cendio.com
#
# action: Starting session D-Bus server
#

# Start DBUS, if not already started
if [ -n "${DBUS_SESSION_BUS_ADDRESS}" ] || \
   [ -n "${XDG_RUNTIME_DIR}" -a -S "${XDG_RUNTIME_DIR}/bus" ]; then
    echo "Existing session D-Bus server found."
else
    if type dbus-launch > /dev/null 2>&1; then
        echo "Starting new session D-Bus server..."
        eval `dbus-launch --sh-syntax --exit-with-session`
    else
        echo "Could not start a session D-Bus server as dbus-launch wasn't found."
    fi
fi

if type dbus-update-activation-environment > /dev/null 2>&1 ; then
    # Not sure why we need to set these early, but it is what systemd's
    # default xinitrc script does, and what all distributions do
    echo "Setting initial D-Bus and systemd environment..."
    dbus-update-activation-environment --systemd DISPLAY XAUTHORITY
fi
