#!/bin/bash
# -*- mode: shell-script; coding: utf-8 -*-
#
# Copyright 2002-2015 Cendio AB.
# For more information, see http://www.cendio.com
#
# action: Starting session PulseAudio server
#

if [ -n "$PULSE_SERVER" -a -n "$PULSE_COOKIE" ]; then
    export PULSE_RUNTIME_PATH="$TLSESSIONDATA/pulse"

    export PULSE_CONFIG="$TLSESSIONDATA/pulseaudio.conf"
    export PULSE_SCRIPT="$TLSESSIONDATA/pulseaudio.pa"

    rm -f "$PULSE_CONFIG"
    rm -f "$PULSE_SCRIPT"

    # Config
    echo "disallow-exit = true" >> "$PULSE_CONFIG"
    echo "exit-idle-time = -1" >> "$PULSE_CONFIG"

    # Script
    echo "load-module module-native-protocol-unix auth-cookie=\"$PULSE_COOKIE\"" >> "$PULSE_SCRIPT"
    echo "load-module module-cli-protocol-unix" >> "$PULSE_SCRIPT"

    echo "load-module module-tunnel-autoconnect server=\"$PULSE_SERVER\" cookie=\"$PULSE_COOKIE\" app_name=\"ThinLinc Session\"" >> "$PULSE_SCRIPT"

    echo "load-module module-rescue-streams" >> "$PULSE_SCRIPT"
    echo "load-module module-always-sink" >> "$PULSE_SCRIPT"
    echo "load-module module-suspend-on-idle" >> "$PULSE_SCRIPT"

    LD_LIBRARY_PATH="${TLPREFIX}/lib64/pulse:${TLPREFIX}/lib/pulse" \
        "${TLPREFIX}/bin/tl-while-x11" "${TLPREFIX}/libexec/pulseaudio" &
    PID=$!

    unset PULSE_CONFIG
    unset PULSE_SCRIPT

    for n in {1..10}; do
        if [ ! -d /proc/$PID ]; then
            echo "Failed to start session PulseAudio server"
            break
        fi

        if [ -S "$PULSE_RUNTIME_PATH/native" ]; then
            echo "Session PulseAudio server started. Redirecting applications..."
            export PULSE_SERVER="$PULSE_RUNTIME_PATH/native $PULSE_SERVER"
            unset ESPEAKER
            break
        fi

        sleep 1
    done
    if [ $n == 10 ]; then
        echo "Timeout waiting for session PulseAudio server to start"
    fi
    unset n
fi
