/*
 * Routines for handling X.509 certificates. Primarily encoding a
 * distinguished name as a string in accordance with RFC 4514.
 *
 * Copyright 2008-2014 Pierre Ossman <ossman@cendio.se> for Cendio AB
 * Copyright 2009-2014 Karl Mikaelsson <derfian@cendio.se> for Cendio AB
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301, USA
 *
 */

asn1_retCode cert_rfc4514dn(ASN1_TYPE desc, ASN1_TYPE dn, char *out,
                            int maxlen);
asn1_retCode cert_novelldn(ASN1_TYPE desc, ASN1_TYPE dn, char *out, int maxlen);

asn1_retCode cert_dnattr2str(ASN1_TYPE desc, ASN1_TYPE dn,
                             const char *oid, char *out, int maxlen);
