#!/usr/bin/python3
# -*- mode: python; coding: utf-8 -*-
#
# Copyright 2002-2014 Cendio AB.
# For more information, see http://www.cendio.com

import sys

print("""/*
 * Header file containing mappings between OID and LDAP short names.
 * (Only attributes are converted)
 *
 * Data source is http://www.iana.org/assignments/ldap-parameters
 */

struct _ldap_oid_name {
    const char *oid;
    const char *name;
};

struct _ldap_oid_name ldap_oid_name[] = {""")

for line in sys.stdin:
    if line == "Object Identifier Descriptors - per [RFC4520]\n":
        break

for line in sys.stdin:
    if line.startswith("---------"):
        break

for line in sys.stdin:
    if line == "\n":
        break

    entry = line.split()

    # We only want attributes
    if entry[1] != 'A':
        continue

    # Some entries are marked as "RESERVED" and such
    if entry[2][0] not in "0123456789":
        continue

    print('    { "%s", "%s" },' % (entry[2], entry[0]))

print("};")

